html, body
{
	color: black;
	font-family: arial;
	font-size: large;
	height: 100%;
	justify-content: left;
	margin: 0;
	padding: 0;
	width: 100%;
}

h1
{
	font-size: xx-large;
	font-weight: normal;
	text-align: left;
}

h2, h3, h4
{
	font-size: x-large;
	font-weight: normal;
	text-align: left;
}

/* Menu */

a.menuitem
{
	display: block;
	padding: 10px;
	text-align: center;
	text-decoration: none;
}
a:link.menuitem
{
	color:  grey;
}
a:visited.menuitem
{
	color:  grey;
}
a:hover.menuitem
{
	color:  black;
}
a:active.menuitem
{
	color:  black;
}

a.menuitemactive
{
	display: block;
	padding: 10px;
	text-align: center;
	text-decoration: none;
}
a:link.menuitemactive
{
	color: black;
}
a:visited.menuitemactive
{
	color: black;
}
a:hover.menuitemactive
{
	color: grey;
}
a:active.menuitemactive
{
	color: grey;
}

/* Body */

div.header1
{
	margin: 10px;
}

div.header2
{
	margin: 10px;
}

div.header3
{
	margin: 10px;
}

div.header4
{
	margin: 10px;
}

div.paragraph
{
	margin: 10px;
}

button
{
	background-color: white;
	border-color: black;
	border-radius: 0px;
	border-style: solid;
	border-width: 1px;
	box-sizing: border-box;
	color: black;
	display: block;
	font-family: arial;
	font-size: medium;
	margin-bottom: 5px;
	margin-top: 5px;
	padding: 10px;
	text-align: center;
	text-decoration: none;
}
button:link
{
	background-color: white;
	color: black;
}
button:visited
{
	background-color: white;
	color: black;
}
button:hover
{
	background-color: black;
	color: white;
}
button:active
{
	background-color: black;
	color: white;
}

div.mission
{
	font-size: large;
	margin: 10px;
	text-align: center;
}

div.button
{
	border-color: black;
	border-style: solid;
	border-width: 1px;
	color: black;
	margin: 10px;
	width: 100px;
}

a.button
{
	display: block;
	padding: 10px;
	text-align: center;
	text-decoration: none;
}
a:link.button
{
	background-color: transparent;
	color: black;
}
a:visited.button
{
	background-color: transparent;
	color: black;
}
a:hover.button
{
	background-color: black;
	color: white;
}
a:active.button
{
	background-color: black;
	color: white;
}

img
{
	height: auto;
	width: 100%;
}

video
{
	height: auto;
	width: 100%;
}

/* Footer */

a.link
{
	text-decoration: none;
}
a:link.link
{
	color:  grey;
}
a:visited.link
{
	color:  grey;
}
a:hover.link
{
	color:  black;
}
a:active.link
{
	color:  grey;
}

div.social
{
    display: flex;
    flex-direction: row;
	justify-content: flex-start;
}

a.facebook
{
	background-image: url("images/facebook.png");
	background-repeat: no-repeat;
	display: block;
	height: 20px;
	margin-left: 5px;
	padding: 10px;
	text-align: center;
	text-decoration: none;
	width: 20px;
}

a.twitter
{
	background-image: url("images/twitter.png");
	background-repeat: no-repeat;
	display: block;
	height: 20px;
	padding: 10px;
	text-align: center;
	text-decoration: none;
	width: 20px;
}

a.instagram
{
	background-image: url("images/instagram.png");
	background-repeat: no-repeat;
	display: block;
	height: 20px;
	padding: 10px;
	text-align: center;
	text-decoration: none;
	width: 20px;
}

a.youtube
{
	background-image: url("images/youtube.png");
	background-repeat: no-repeat;
	display: block;
	height: 20px;
	padding: 10px;
	text-align: center;
	text-decoration: none;
	width: 20px;
}

input[type=text].contact
{
	border-color: black;
	border-radius: 0px;
	border-style: solid;
	border-width: 1px;
	box-sizing: border-box;
	font-family: arial;
	font-size: medium;
	margin-bottom: 5px;
	margin-top: 5px;
	padding: 5px;
	width: 80%;
}

input[type=email].contact
{
	border-color: black;
	border-radius: 0px;
	border-style: solid;
	border-width: 1px;
	box-sizing: border-box;
	font-family: arial;
	font-size: medium;
	margin-bottom: 5px;
	margin-top: 5px;
	padding: 5px;
	width: 80%;
}

textarea.contact
{
	border-color: black;
	border-radius: 0px;
	border-style: solid;
	border-width: 1px;
	box-sizing: border-box;
	font-family: arial;
	font-size: medium;
	height: 100px;
	margin-bottom: 5px;
	margin-top: 5px;
	padding: 5px;
	width: 80%;
}

/**********/
/* Phones */
/**********/

@media only screen and (max-width: 768px)
{

/* Menu */

div.menutop
{
    display: flex;
    flex-direction: container;
	justify-content: flex-end;
	padding-right: 5px;
	padding-top: 5px;
}

div.menuicon
{
	cursor: pointer;
	display: inline-block;
}

div.menubar1, div.menubar2, div.menubar3
{
	height: 5px;
	background-color: #333;
	margin: 6px 0;
	transition: 0.4s;
	width: 35px;
}

.change .menubar1
{
	transform: rotate(-45deg) translate(-9px, 6px) ;
	-webkit-transform: rotate(-45deg) translate(-9px, 6px) ;
}

.change .menubar2
{
	opacity: 0;
}

.change .menubar3
{
	transform: rotate(45deg) translate(-8px, -8px) ;
	-webkit-transform: rotate(45deg) translate(-8px, -8px) ;
}

#menu
{
    display: none;
    flex-direction: column;
	justify-content: flex-end;
}

div.menu
{
    display: flex;
    flex-direction: column;
	justify-content: flex-end;
}

/* Title */

div.title
{ 
	background-attachment: scroll;
	background-image: url("images/main.jpg");
	background-position: center;
	background-repeat: no-repeat;
	background-size: cover;
	height: 100%;
	opacity: 1.0;
}

div.maintitle
{
	color: white;
	font-size: xx-large;
	left: 50%;
	margin: 0;
	margin-right: -50%;
	position: relative;
	text-align: center;
    top: 40%;
	transform: translate(-50%, -50%);
	width: 80%;
}

div.subtitle
{
	color: white;
	font-size: large;
	left: 50%;
	margin: 0;
	margin-right: -50%;
	margin-top: 20px;
	position: relative;
	text-align: center;
    top: 40%;
	transform: translate(-50%, -50%);
	width: 80%;
}

h1.maintitle
{
	font-size: xx-large;
	font-weight: normal;
	text-align: center;
}

p.subtitle
{
	font-size: large;
	font-weight: normal;
	text-align: center;
}

/* Body */

div.container
{
    display: flex;
    flex-direction: column;
	justify-content: center;
}

div.item
{
	height: 50%;
	width: 100%;
}

div.itemcenter
{
	height: 50%;
	justify-content: center;
	width: 100%;
}

div.main
{ 
	display: none;
}

/* Services */

div.services
{ 
	display: none;
}

/* Portfolio */

div.portfolio
{ 
	display: none;
}

/* Testimonials */

div.testimonials
{ 
	display: none;
}

/* Partners */

div.partners
{ 
	display: none;
}

/* News */

div.news
{ 
	display: none;
}

div.robotshop
{
	display: block;
	height: 58px;
	margin-left: auto;
	margin-right: auto;
	width: 200px;
}

div.roboticapp
{
	display: block;
	height: 62px;
	margin-left: auto;
	margin-right: auto;
	width: 231px;
}

div.ibm_partner
{
	display: block;
	height: 69px;
	margin-left: auto;
	margin-right: auto;
	width: 141px;
}

/* Events */

div.events
{ 
	display: none;
}

/* About */

div.about
{ 
	display: none;
}

/* Contact */

div.contact
{ 
	display: none;
}

/* Privacy */

div.privacy
{ 
	display: none;
}

/* Terms */

div.terms
{ 
	display: none;
}

div.bottom
{ 
	display: none;
}

}

/***********/
/* Tablets */
/***********/

@media only screen and (min-width: 769px)
{
	
/* Menu */

div.menu
{
    display: flex;
    flex-direction: row;
	justify-content: flex-end;
}

/* Title */

div.title
{ 
	background-attachment: fixed;
	background-image: url("images/main.jpg");
	background-position: center;
	background-repeat: no-repeat;
	background-size: cover;
	height: 100%;
	opacity: 1.0;
}

div.maintitle
{
	color: white;
	font-size: 60px;
	left: 50%;
	margin: 0;
	margin-right: -50%;
	position: absolute;
	text-align: center;
    top: 50%;
	transform: translate(-50%, -50%);
	width: 80%;
}

div.subtitle
{
	color: white;
	font-size: x-large;
	left: 50%;
	margin: 0;
	margin-right: -50%;
	margin-top: 100px;
	position: absolute;
	text-align: center;
	top: 50%;
	transform: translate(-50%, -50%);
	width: 80%;
}

h1.maintitle
{
	font-size: 60px;
	font-weight: normal;
	text-align: center;
}

p.subtitle
{
	font-size: x-large;
	font-weight: normal;
	text-align: center;
}

/* Body */

div.container
{
    display: flex;
    flex-direction: row;
	justify-content: center;
}

div.item
{
	height: 50%;
	width: 40%;
}

div.itemcenter
{
	height: 50%;
	justify-content: center;
	width: 80%;
}

div.main
{ 
	background-attachment: fixed;
	background-image: url("images/main.jpg");
	background-position: center;
	background-repeat: no-repeat;
	background-size: cover;
	height: 20%;
	opacity: 1.0;
}

/* Services */

div.services
{ 
	background-attachment: fixed;
	background-image: url("images/services.jpg");
	background-position: center;
	background-repeat: no-repeat;
	background-size: cover;
	height: 20%;
	opacity: 1.0;
}

/* Portfolio */

div.portfolio
{ 
	background-attachment: fixed;
	background-image: url("images/portfolio.jpg");
	background-position: center;
	background-repeat: no-repeat;
	background-size: cover;
	height: 20%;
	opacity: 1.0;
}

/* Testimonials */

div.testimonials
{ 
	background-attachment: fixed;
	background-image: url("images/testimonials.jpg");
	background-position: center;
	background-repeat: no-repeat;
	background-size: cover;
	height: 20%;
	opacity: 1.0;
}

/* Partners */

div.partners
{ 
	background-attachment: fixed;
	background-image: url("images/partners.jpg");
	background-position: center;
	background-repeat: no-repeat;
	background-size: cover;
	height: 20%;
	opacity: 1.0;
}

/* News */

div.news
{ 
	background-attachment: fixed;
	background-image: url("images/news.jpg");
	background-position: center;
	background-repeat: no-repeat;
	background-size: cover;
	height: 20%;
	opacity: 1.0;
}

div.robotshop
{
	display: block;
	height: 58px;
	margin-left: auto;
	margin-right: auto;
	width: 200px;
}

div.roboticapp
{
	display: block;
	height: 62px;
	margin-left: auto;
	margin-right: auto;
	width: 231px;
}

div.ibm_partner
{
	display: block;
	height: 69px;
	margin-left: auto;
	margin-right: auto;
	width: 141px;
}

/* Events */

div.events
{ 
	background-attachment: fixed;
	background-image: url("images/events.jpg");
	background-position: center;
	background-repeat: no-repeat;
	background-size: cover;
	height: 20%;
	opacity: 1.0;
}

/* About */

div.about
{ 
	background-attachment: fixed;
	background-image: url("images/about.jpg");
	background-position: center;
	background-repeat: no-repeat;
	background-size: cover;
	height: 20%;
	opacity: 1.0;
}

/* Contact */

div.contact
{ 
	background-attachment: fixed;
	background-image: url("images/contact.jpg");
	background-position: center;
	background-repeat: no-repeat;
	background-size: cover;
	height: 20%;
	opacity: 1.0;
}

/* Privacy */

div.privacy
{ 
	background-attachment: fixed;
	background-image: url("images/privacy.jpg");
	background-position: center;
	background-repeat: no-repeat;
	background-size: cover;
	height: 20%;
	opacity: 1.0;
}

/* Terms */

div.terms
{ 
	background-attachment: fixed;
	background-image: url("images/terms.jpg");
	background-position: center;
	background-repeat: no-repeat;
	background-size: cover;
	height: 20%;
	opacity: 1.0;
}

div.bottom
{ 
	background-attachment: fixed;
	background-image: url("images/bottom.jpg");
	background-position: center;
	background-repeat: no-repeat;
	background-size: cover;
	height: 100%;
	opacity: 1.0;
}

}

/************************/
/* Desktops and Laptops */
/************************/

@media only screen and (min-width: 1025px)
{

/* Body */

div.item
{
	height: 50%;
	width: 30%;
}

div.itemcenter
{
	height: 50%;
	justify-content: center;
	width: 60%;
}

}
